You are not logged in.

#1 2010-09-12 22:26:59

Wintershade
Member
From: Croatia
Registered: 2008-02-18
Posts: 175
Website

WINE: Cannot install Internet Explorer 6 on 64-bit system

Hi everyone

I'm running the 64-bit version of Arch Linux, with WINE 1.3.2 from [multilib] and winetricks installed.
When I try to install ie6 via winetricks (which I need for both work and a game I'm trying to install big_smile), I get the following error message:

The Windows Update: Internet Explorer and Internet Tools cannot be installed on this computer. This product does not install on 64-bit platforms.

After closing this window (i.e. clicking OK), I get another error message, which informs me that "regsvr32.exe has encountered a serious error and needs to close."

So, what gives? WineHQ shows claims of people being able to install it on a 64-bit Linux system; namely, Ubuntu and openSUSE... no Arch results, and I don't want to post "Garbage" if I'm doing something wrong here.

If anyone would help me shed some light on this (and perhaps even fix it!) I'd be very grateful.
Thanks in advance! smile


Only the best is good enough.

Offline

#2 2010-09-13 02:33:32

hume's doona
Member
Registered: 2009-12-11
Posts: 206

Re: WINE: Cannot install Internet Explorer 6 on 64-bit system

will wine-gecko work? it's wine's fake IE, I think it's in AUR, but I've never needed it

Offline

#3 2010-09-13 06:41:33

Wintershade
Member
From: Croatia
Registered: 2008-02-18
Posts: 175
Website

Re: WINE: Cannot install Internet Explorer 6 on 64-bit system

I know about wine-gecko. However, that's not it sad

edit: update to the problem: I've switched to bin32-wine-suse from AUR. Now I can install IE6, yay smile

However, something's still bothering me.
bin32-wine-suse complains about every wineprefix made by "stock" (multilib) WINE being a 64-bit environment, and thus impossible to work with.
So the [multilib] WINE apparently makes a 64-bit Windows-like environment, whatever that would mean to them. I don't really think that's right, knowing how some apps - namely, IE6 and such - complain about this.

Any ideas?

Last edited by Wintershade (2010-09-13 06:45:32)


Only the best is good enough.

Offline

#4 2010-09-14 16:55:17

iggy
Member
From: Germany, L.E. - Leipzig
Registered: 2004-10-17
Posts: 367

Re: WINE: Cannot install Internet Explorer 6 on 64-bit system

You can still use the wine-package from [multilib]. Here you find more information about that. Just change your WINEARCH prefix and you can install ie6.


sorry for my bad english smile

Offline

#5 2010-09-28 15:36:54

sxe
Member
From: Cologne
Registered: 2009-06-04
Posts: 93
Website

Re: WINE: Cannot install Internet Explorer 6 on 64-bit system

Here is the "solution", i had the same problem.

https://bbs.archlinux.org/viewtopic.php?id=102422

Offline

#6 2010-09-28 23:05:31

Wintershade
Member
From: Croatia
Registered: 2008-02-18
Posts: 175
Website

Re: WINE: Cannot install Internet Explorer 6 on 64-bit system

Thanks guys! Didn't know about WINEARCH until now. Quite useful smile


Only the best is good enough.

Offline

Board footer

Powered by FluxBB